Subject: Re: Ring parameter information

From: Rick Jones <[email-masked]>
Date: Mon, 15 Sep 2014 08:19:15 -0700

On 09/14/2014 11:14 PM, Hosam Hittini wrote:
> Hi,
>
> I have two network interfaces and I used "ethtool -g" to get their ring parameters, but I don’t quite understand the output
> For the ethernet interface the output says the operation is not supported
> For the wireless interface the output says the sending and receiving buffer sizes are equal to zero
> I wonder if anyone can help me with that
>
> hosam@Robin-01:~$ sudo ethtool -g eth0
> Ring parameters for eth0:
> Cannot get device ring settings: Operation not supported

That means what it says - the driver/device for eth0 does not support 
reporting ring settings.

> hosam@Robin-01:~$ sudo ethtool -g wlan1
> Ring parameters for wlan1:
> Pre-set maximums:
> RX:			0
> RX Mini:		0
> RX Jumbo:	0
> TX:			0
> Current hardware settings:
> RX:			0
> RX Mini:		0
> RX Jumbo:	0
> TX:			0

I am just guessing, but I would guess one of two things - either that 
driver doesn't "really" support retrieving ring settings, or there is a 
bug or no way for it to report them in a meaningful way.  You should 
look-up the driver name (ethtool -i) and then go to a kernel source tree 
and find that driver under drivers/net/ and see what its ethtool support 
code looks like.

rick jones